Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
Class GroovyCompile

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.compile.Compile
                      org.gradle.api.tasks.compile.GroovyCompile

All Implemented Interfaces:
  groovy.lang.GroovyObject, java.lang.Comparable<Task>, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, PatternFilterable

    public class GroovyCompile

extends Compile

Field Summary

Fields inherited from class org.gradle.api.tasks.compile.Compile
`antCompile, existentDirsFilter`

Fields inherited from interface org.gradle.api.Task
`AUTOSKIP_PROPERTY_PREFIX, TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`GroovyCompile(Project project, java.lang.String name)`

Method Summary
`protected void` | `compile(Task task)`
`org.gradle.api.tasks.compile.AntGroovyc` | `getAntGroovyCompile()`
`FileCollection` | `getGroovyClasspath()`
`java.util.List` | `getGroovyExcludes()` Returns the exclude patterns for which groovy files should be compiled.
`java.util.List` | `getGroovyIncludes()` Return the include patterns for which groovy files should be compiled.
`java.util.List` | `getGroovyJavaExcludes()` Returns the exclude patterns for which java files in the joint source folder should be compiled.
`java.util.List` | `getGroovyJavaIncludes()` Returns the exclude patterns for which java files in the joint source folder should be compiled.
`org.gradle.api.tasks.compile.GroovyCompileOptions` | `getGroovyOptions()` Gets the options for the groovyc compilation.
`java.util.List` | `getGroovySourceDirs()`
`GroovyCompile` | `groovyExclude(java.lang.String... groovyExcludes)` Adds exclude patterns for which groovy files should be compiled (e.g.
`GroovyCompile` | `groovyInclude(java.lang.String... groovyIncludes)` Adds include pattern for which groovy files should be compiled (e.g.
`GroovyCompile` | `groovyJavaExclude(java.lang.String... groovyJavaExcludes)` Add exclude patterns for which java files in the joint source folder should be compiled (e.g.
`GroovyCompile` | `groovyJavaInclude(java.lang.String... groovyJavaIncludes)` Adds include patterns for which java files in the joint source folder should be compiled (e.g.
`void` | `setAntGroovyCompile(org.gradle.api.tasks.compile.AntGroovyc antGroovyCompile)`
`void` | `setGroovyClasspath(FileCollection groovyClasspath)`
`void` | `setGroovyExcludes(java.util.List groovyExcludes)` Sets the exclude patterns for which groovy files should be compiled.
`void` | `setGroovyIncludes(java.util.List groovyIncludes)` Sets the include patterns for which groovy files should be compiled.
`void` | `setGroovyJavaExcludes(java.util.List groovyJavaExcludes)` Sets excludes patterns for which java files in the joint source folder should be compiled
`void` | `setGroovyJavaIncludes(java.util.List groovyJavaIncludes)` Sets include patterns for which java files in the joint source folder should be compiled.
`void` | `setGroovyOptions(org.gradle.api.tasks.compile.GroovyCompileOptions groovyOptions)` Sets the options for the groovyc compilation.
`void` | `setGroovySourceDirs(java.util.List groovySourceDirs)`

Methods inherited from class org.gradle.api.tasks.compile.Compile
`compile, exclude, exclude, getClasspath, getDestinationDir, getExcludes, getIncludes, getOptions, getSourceCompatibility, getSrcDirs, getTargetCompatibility, include, include, setClasspath, setDestinationDir, setExcludes, setIncludes, setOptions, setSourceCompatibility, setSrcDirs, setTargetCompatibility`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping`

Methods inherited from class org.gradle.api.DefaultTask
`configure, doFirst, doLast, leftShift, methodMissing, propertyMissing, setProperty`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hashCode, hasProperty, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setSkipProperties, setStandardOutputCapture, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass`

Constructor Detail

### GroovyCompile

    public GroovyCompile(Project project,
                         java.lang.String name)

Method Detail

### compile

    protected void compile(Task task)

### getGroovyOptions

    public org.gradle.api.tasks.compile.GroovyCompileOptions getGroovyOptions()

  Gets the options for the groovyc compilation. To set specific options for the nested javac compilation, use `Compile.getOptions()`.

### setGroovyOptions

    public void setGroovyOptions(org.gradle.api.tasks.compile.GroovyCompileOptions groovyOptions)

  Sets the options for the groovyc compilation. To set specific options for the nested javac compilation, use `Compile.getOptions()`. Usually you don't set the options, but you modify the existing instance provided by `getGroovyOptions()`

  Parameters:
    `groovyOptions` -

### groovyInclude

    public GroovyCompile groovyInclude(java.lang.String... groovyIncludes)

  Adds include pattern for which groovy files should be compiled (e.g. '**F;org/gradle/package1/')). This pattern is added as an nested include the groovyc task.

  Parameters:
    `groovyIncludes` - The include patterns
  Returns:
    this

### groovyExclude

    public GroovyCompile groovyExclude(java.lang.String... groovyExcludes)

  Adds exclude patterns for which groovy files should be compiled (e.g. '**F;org/gradle/package2/A*.groovy'). This pattern is added as an nested exclude the groovyc task.

  Parameters:
    `groovyExcludes` - The exclude patterns
  Returns:
    this

### groovyJavaInclude

    public GroovyCompile groovyJavaInclude(java.lang.String... groovyJavaIncludes)

  Adds include patterns for which java files in the joint source folder should be compiled (e.g. '**F;org/gradle/package1/')). This pattern is added as a nested include to the nested javac task of the groovyc task.

  Parameters:
    `groovyJavaIncludes` - The include patterns

### groovyJavaExclude

    public GroovyCompile groovyJavaExclude(java.lang.String... groovyJavaExcludes)

  Add exclude patterns for which java files in the joint source folder should be compiled (e.g. '**F;org/gradle/package2/A*.java'). This pattern is added as a nested exclude to the nested javac task of the groovyc task.

  Parameters:
    `groovyJavaExcludes` - The exclude patterns

### getGroovyClasspath

    public FileCollection getGroovyClasspath()

### setGroovyClasspath

    public void setGroovyClasspath(FileCollection groovyClasspath)

### getAntGroovyCompile

    public org.gradle.api.tasks.compile.AntGroovyc getAntGroovyCompile()

### setAntGroovyCompile

    public void setAntGroovyCompile(org.gradle.api.tasks.compile.AntGroovyc antGroovyCompile)

### getGroovySourceDirs

    public java.util.List getGroovySourceDirs()

### setGroovySourceDirs

    public void setGroovySourceDirs(java.util.List groovySourceDirs)

### getGroovyIncludes

    public java.util.List getGroovyIncludes()

  Return the include patterns for which groovy files should be compiled.

### setGroovyIncludes

    public void setGroovyIncludes(java.util.List groovyIncludes)

  Sets the include patterns for which groovy files should be compiled.

  Parameters:
    `groovyIncludes` - The patterns to include
  See Also:
    `groovyInclude(String[])`

### getGroovyExcludes

    public java.util.List getGroovyExcludes()

  Returns the exclude patterns for which groovy files should be compiled.

### setGroovyExcludes

    public void setGroovyExcludes(java.util.List groovyExcludes)

  Sets the exclude patterns for which groovy files should be compiled.

  Parameters:
    `groovyExcludes` - The patterns to exclude
  See Also:
    `groovyExclude(String[])`

### getGroovyJavaIncludes

    public java.util.List getGroovyJavaIncludes()

  Returns the exclude patterns for which java files in the joint source folder should be compiled.

### setGroovyJavaIncludes

    public void setGroovyJavaIncludes(java.util.List groovyJavaIncludes)

  Sets include patterns for which java files in the joint source folder should be compiled.

  Parameters:
    `groovyJavaIncludes` - The exclude pattern
  See Also:
    `The include patterns`

### getGroovyJavaExcludes

    public java.util.List getGroovyJavaExcludes()

  Returns the exclude patterns for which java files in the joint source folder should be compiled.

### setGroovyJavaExcludes

    public void setGroovyJavaExcludes(java.util.List groovyJavaExcludes)

  Sets excludes patterns for which java files in the joint source folder should be compiled

  Parameters:
    `groovyJavaExcludes` - The exclude pattern
  See Also:
    `The exclude patterns`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD